---
title: CrashReportBody
slug: Web/API/CrashReportBody
tags:
  - API
  - CrashReportBody
  - Experimental
  - Interface
  - Reference
  - Reporting API
---
<div>{{seecompattable}}{{APIRef("Reporting API")}}</div>

<p class="summary">The <code>CrashReportBody</code> interface of the <a href="/en-US/docs/Web/API/Reporting_API">Reporting API</a> represents the body of a crash report (the return value of its {{domxref("Report.body")}} property).</p>

<p class="summary">A crash report is generated when a document becomes unusable due to the browser (or one of its processes) crashing. For security reasons, no details of the crash are communicated in the body except for a general crash reason.</p>

<h2 id="Properties">Properties</h2>

<dl>
 <dt><code>reason</code></dt>
 <dd>A string representing the reason for the crash. Current possible reasons are:
 <ul>
  <li><code>oom</code>: The browser ran out of memory.</li>
  <li><code>unresponsive</code>: The page was killed due to being unresponsive.</li>
 </ul>
 </dd>
</dl>

<h2 id="Examples">Examples</h2>

<p>Crash reports are generally only retrievable via endpoints set up using the {{httpheader("Report-To")}} header. It is difficult to retrieve a crash report via a {{domxref("ReportingObserver")}}, as by that point the page would have crashed!</p>

<p>Some sample JSON might look like this:</p>

<pre class="brush: json">{
  "type": "crash",
  "age": 42,
  "url": "https://example.com/",
  "user_agent": "Mozilla/5.0 (X11; Linux x86_64; rv:60.0) Gecko/20100101 Firefox/60.0",
  "body": {
    "reason": "oom"
  }
}</pre>

<div class="notecard note">
<p><strong>Note</strong>: Crash reports are always delivered to the endpoint group named <code>default</code>; there is currently no way to override this. If you want to receive other kinds of reports, but not crash reports, make sure to use a different name for the endpoint group that you choose for those reports. </p>
</div>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName("Reporting API","#crash-report","CrashReportBody")}}</td>
   <td>{{Spec2("Reporting API")}}</td>
   <td> </td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.CrashReportBody")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/API/Reporting_API">Reporting API</a></li>
</ul>
